#!/usr/bin/ruby
# -*- coding: utf-8 -*-

#------ システム管理一覧取得


require 'uri'
require 'net/http'

Net::HTTP.version_1_2

HOST = "localhost"
PORT = "8000"
USER = "ormaster"
PASSWD = "ormaster"
CONTENT_TYPE = "application/xml"


req = Net::HTTP::Post.new("/api01rv2/system01lstv2")
# Request_Number :01 診療科対象
#                :02 ドクター対象
#                :03 ドクター以外の職員対象
#                :04 医療機関基本情報
#
# 1.リクエスト番号  Request_Number  (REQUIRED)
# 2.基準日          Base_Date       (IMPLIED)
#
# REQUIRED : 必須   IMPLIED : 任意
#
BODY = <<EOF
<data>
	<system01_managereq type="record">
		<Request_Number type="string">04</Request_Number>
		<Base_Date type="string">2012-06-01</Base_Date>
	</system01_managereq>
</data>
EOF

req.content_length = BODY.size
req.content_type = CONTENT_TYPE
req.body = BODY
req.basic_auth(USER, PASSWD)
  puts req.body

Net::HTTP.start(HOST, PORT) {|http|
  res = http.request(req)
  puts res.body
}

